<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8" />
		<title>Suggest</title>
		<script>
			var Suggest = function () {
				this.input = document.querySelector('#q');
				this.resp = document.querySelector('#response');
				this.input.addEventListener("keyup",this._keyup.bind(this));
			}

			Suggest.prototype._keyup = function (e) {
				var q = decodeURIComponent(this.input.value);

				if (q == "") return 0;

				this.xhr = new XMLHttpRequest();
				this.xhr.addEventListener("readystatechange", this._response.bind(this));
				this.xhr.open("GET", "sq.php?q="+q);
				this.xhr.send();
			}

			Suggest.prototype._response = function (e) {
				if (this.xhr.readyState == 4) {
					if (this.xhr.status == 200) {
						this._build(this.xhr.responseText);
					}
				}
			}

			Suggest.prototype._build = function (data) {
				var obj = JSON.parse(data);
				var html = "";
				for (var i = 0; i < obj.words.length; i++) {
					html += '<div class="row">'+obj.words[i].word+'</div>';
				}
				this.resp.innerHTML = html;
			}

		</script>
	</head>

	<body>
		<form action="" method="get">
			<p>
				<input type="text" name="q" id="q" autocomplete="off" />
				<input type="submit" name="send" value="Hlodej"  />
				<div id="response"></div>
			</p>
			<script>
				var sg = new Suggest();
			</script>
 		</form>
	</body>
</html>